goog.provide 'app.AppState'

class app.AppState

  ###*
    @constructor
  ###
  constructor: (savedObject) ->
    goog.mixin @, savedObject

  ###*
    Should be null if none block is active.
    @type {app.document.Block}
    @expose
  ###
  activeBlock: null

  ###*
    Database rows of documents.
    @type {Array.<app.document.Document>} - not exactly, only title and id
    @expose
  ###
  allDocs: null

  ###*
    See activeBlock.
    @type {app.document.Document}
    @expose
  ###
  editingDocument: null

  ###*
    Should be set to request activation of block.
    @type {string}
    @expose
  ###
  shouldActivateBlockId: ''

  ###*
    Should be set to start editing document.
    @type {string}
    @expose
  ###
  editingDocumentId: ''

  ###*
    Should be set when document was added, removed or has title changed.
    @type {boolean}
    @expose
  ###
  shouldReloadDocs: true




