goog.require 'tests.Factory'



suite 'app.BlockType', ->

  setup ->
    @unit = app.BlockType

  test 'all', ->
    assert.sameMembers @unit.getAll(), [
      'section', 'list', 'paragraph', 'image'
    ]

  test 'isElement', ->
    list = tests.Factory.Block.create type: app.BlockType.List
    p = tests.Factory.Block.create type: app.BlockType.Paragraph
    img = tests.Factory.Block.create type: app.BlockType.Image
    assert.ok @unit.isElement(list)
    assert.ok @unit.isElement(p)
    assert.ok @unit.isElement(img)
