goog.require 'app.testUtils'
goog.require 'tests.Factory'

NotePane = app.editor.NotePane.reactClass
create = -> NotePane {block: tests.Factory.Block.create()}

suite 'app.editor.NotePane', ->

  setup ->
    @pane = create()
    assert.ok @pane

  suite 'rendered', ->
    setup ->
      React.renderComponent(@pane, app.testUtils.createEl())


  suite 'static markup', ->
    setup ->
      @pane = React.renderComponentToStaticMarkup(create())

    test 'ok', -> assert.ok @pane

