goog.provide 'app.ui.ActivableBlock'

app.ui.ActivableBlock = {

  componentDidMount: ->
    @activateIfNeeded()

  componentDidUpdate: ->
    @activateIfNeeded()

  activateIfNeeded: ->
    if @props.shouldActivate
      editorRef = @refs.editor

      if editorRef?
        editorRef.getDOMNode().focus()
      else
        titleEl = @refs.title.getDOMNode()
        titleEl.focus()
      el = @getDOMNode()
      el.scrollIntoViewIfNeeded(true)
      @props.onBlockActivation(@props.block)

}