goog.provide 'app.ui.IconButton'

goog.require 'reactprops'

###* @type {function(reactprops.IconButton)} ###
app.ui.IconButton.component

do ->
  app.ui.IconButton.component = React.createClass(
    displayName: 'action-icon'
    render: ->
      attrs = {onClick: @props.onClick, key: @props.title}
      attrs['className'] = 'active' if @props.isActive
      toggleActive = if @props.isActive then 'btn-primary' else 'btn-default'
      React.DOM.li(attrs, React.DOM.button({title: "#{@props.title}", className: "btn #{toggleActive} btn-sm"}
          React.DOM.span({className: "glyphicon glyphicon-#{@props.icon}"})
        )
      )
  )



