goog.require 'app.testUtils'

TextEditor = app.editor.TextEditor.reactClass
getEl = ->
  @el || @el = app.testUtils.createEl()

suite 'app.editor.TextEditor', ->
  suite 'render', ->

    setup ->
      @view = React.renderComponent TextEditor({
        initText: 'La Ville-Lumière'
        id: 'paris'
      }), getEl()

    test 'render', ->
      assert.ok @view

  suite 'render static', ->

    setup ->
      component = TextEditor({
        initText: 'This is initial text. This props is used only for first rendering.'
      })
      @viewStr = React.renderComponentToStaticMarkup(component)

    test 'has init test', ->
      assert.include @viewStr, 'This is initial text.'
      assert.include @viewStr, 'This props is used only'
      assert.include @viewStr, 'for first rendering.'


