goog.provide 'app.domAssert'

class domAssert
  hasSelectWithDefault: (el, defaultValue) ->
    selectEl = el.querySelector('select')
    selected = selectEl.selectedIndex
    assert.equal selectEl.children[selected].textContent, defaultValue

  hasOptionCount: (el, count) ->
    assert.equal el.querySelectorAll('option').length, count

  selectorLength: (el, selector, length) ->
    assert.equal el.querySelectorAll(selector).length, length

  titleWithinSelector: (el, sel, title) ->
    child = el.querySelector(sel)
    throw Error "No selector found #{sel}" unless child
    assert.lengthOf child.querySelectorAll("[title='#{title}']"), 1

app.domAssert = new domAssert()
