suite 'app.viewer.List', ->

  test 'init ok', ->
    list = new app.viewer.List.reactClass()
    assert.ok list

  suite 'render', ->
    setup ->
      @list = new app.viewer.List.reactClass({
        items: ['one', 'two']
      })
      @resultStr = React.renderComponentToStaticMarkup @list

    test 'render', ->
      expectedStr = "<ul><li>one</li><li>two</li></ul>"
      assert.deepEqual @resultStr, expectedStr
      assert.include @resultStr, '<li>one</li>'
      assert.include @resultStr, '<li>two</li>'
      assert.include @resultStr, '<ul>'

    test 'doesnt render', ->
      assert.equal @resultStr.match(/<li>/g).length, 2, "doesnt create empty lines"
